import request from '@/utils/request'

// 查询通关视频列表
export function listAUXILIARYVIDEO(query) {
    return request({
        url: '/video/AUXILIARYVIDEO/list',
        method: 'get',
        params: query
    })
}

// 查询通关视频所有列表
export function listAllAUXILIARYVIDEO(query) {
    return request({
        url: '/video/AUXILIARYVIDEO/listAll',
        method: 'get',
        params: query
    })
}

// 查询通关视频详细
export function getAUXILIARYVIDEO(id) {
    return request({
        url: '/video/AUXILIARYVIDEO/getInfo/' + id,
        method: 'get'
    })
}

// 新增通关视频
export function addAUXILIARYVIDEO(data) {
    return request({
        url: '/video/AUXILIARYVIDEO/add',
        method: 'post',
        data: data
    })
}

// 修改通关视频
export function updateAUXILIARYVIDEO(data) {
    return request({
        url: '/video/AUXILIARYVIDEO/edit',
        method: 'post',
        data: data
    })
}

// 删除通关视频
export function delAUXILIARYVIDEO(id) {
    return request({
        url: '/video/AUXILIARYVIDEO/remove/' + id,
        method: 'get'
    })
}
